Bug 1256997 - RFE: no need to subpackage input-pad-xtest
RFE: no need to subpackage input-pad-xtest
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: input-pad (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 23:08 EDT by Jens Petersen
Modified: 2017-04-18 15:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2015-08-25 23:08:00 EDT
Description of problem:
input-pad currently has circular dependency on its xtest subpackage.
I don't think there is any need for multilib input-pad-xtest
so there is no need to subpackage input-pad-xtest:
libinput-pad-xtest-gdk.so can just be shipped in the base package
with an Obsoletes for input-pad-xtest. Let's avoid unnecessary subpackaging.

Version-Release number of selected component (if applicable):
input-pad-1.0.99.20140916-1.fc22.x86_64
Comment 1 fujiwara 2015-08-27 22:17:36 EDT
Probably I won't install input-pad-xtest by default again since the depended bug is fixed.
Comment 2 Fedora Admin XMLRPC Client 2017-04-05 16:24:10 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 fujiwara 2017-04-06 04:13:23 EDT
(In reply to fujiwara from comment #1)
> Probably I won't install input-pad-xtest by default again since the depended
> bug is fixed.

Seems XSendEvent bug is not fixed in Fedora 25 yet and input-pad-xtest is still needed.
Comment 4 Fedora Admin XMLRPC Client 2017-04-14 07:46:14 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Update System 2017-04-18 02:24:43 EDT
input-pad-1.0.99.20140916-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-48653252ad
Comment 6 Fedora Update System 2017-04-18 15:54:04 EDT
input-pad-1.0.99.20140916-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-48653252ad

Note You need to log in before you can comment on or make changes to this bug.